/* eslint-disable */
// @ts-ignore
import request from '@/http/vue-query';
import type { CustomRequestOptions } from '@/http/types';

import * as API from './types';

/** 查询会员配置项 GET /app/membership/config */
export async function appMembershipConfigGet({
  options,
}: {
  options?: CustomRequestOptions;
}) {
  return request<API.RMembershipConfigVo>('/app/membership/config', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 充值会员 POST /app/membership/recharge */
export async function appMembershipRechargePost({
  body,
  options,
}: {
  body: API.RechargeBo;
  options?: CustomRequestOptions;
}) {
  return request<API.R>('/app/membership/recharge', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询会员充值项 GET /app/membership/rechargeItem */
export async function appMembershipRechargeItemGet({
  options,
}: {
  options?: CustomRequestOptions;
}) {
  return request<API.RListMembershipRechargeItemVo>(
    '/app/membership/rechargeItem',
    {
      method: 'GET',
      ...(options || {}),
    }
  );
}
